<html>
<head>
<script language="JavaScript">
<!--

function do_copy(sel)
{
	var i;
	for (i=0; i<sel.options.length; i++)
	if (sel.options[i].selected==true)
		document.addrbook.abook_edit.value
			= sel.options[i].text;

	document.addrbook.cmd.value = "edit_abook";
	document.addrbook.submit();
}


||ifdef||netscape_version||
function hotkey(event){
//	alert(event.which);
	switch (event.which) {
||else||
function hotkey(event){
//	alert(event.keyCode);
	switch (event.keyCode) {
||endif||
	   case 10 : // Ctrl-Enter || Ctrl-Shift-J - done
			window.close();
			break;
	   case 27 : // Esc - cancel
			window.close();
			break;
	   default :
			break;
	}
}

function hotkeyoverload(){
	hotkey(event);
}

||ifdef||netscape_version||
	document.captureEvents(Event.KEYPRESS);
	document.onkeypress = hotkey;
||endif||

var modify_from = ||ifequal||modify_from||true||true||else||false||endif||

function setto(name)
{
	var option;
	var i;
	if (window.opener.document.groupform.Group_List.value != "")
		window.opener.document.groupform.Group_List.value = window.opener.document.groupform.Group_List.value + "\n" ;
	window.opener.document.groupform.Group_List.value = window.opener.document.groupform.Group_List.value + name ;
}

function dele(){
	window.opener.document.groupform.Group_List.value = "";
}
//-->
</script>

||just_include||bookonlycss.tpl||

<title>Address Book (||abook_edit||)</title>
</head>

<body background="||cust_panel_background||" bgcolor="||cust_panel_bgcolor||" onKeyPress="hotkeyoverload();" onLoad="focus()">

||ifdef||error||
	<center>
	<table border="1">		
		<tr>	<td><img src="||nwimg||/attention.gif">
			<td bgcolor="ffffff">||error||</td>
		</tr>
	</table>
	</center>
||endif||


<form name="addrbook" method="POST" action="||action||">
<input type=hidden name="utoken" value="||utoken||">
<input type=hidden name="abook_edit" value="||abook_edit||">
<input type=hidden name="cmd" value="">
<input type=hidden name="page" value="bookgroup">
<input type=hidden name="xcmd" value="">
	

<table width="100%" cellspacing="0" cellpadding="0">
<tr>
	<th>Address Book</th>
</tr>
<tr valign="top">
	<td>
		<b>Edit Address Book:</b>
		<select size="1" name="addr_books" onchange="do_copy(this)">
		||begin_book||
			<option value="||addr_book||" ||selected||>||trans_addr_book||</option>
		||end_book||
		</select>
		<input type="button" value="Clear" onclick="dele();">
		<input type="button" value="Done" onclick="window.close();">
	</td>
</tr>
<tr>
	<td valign="top" width="80%">
		<table bgcolor="#FFFFFF" width="100%" border="2" cellspacing="0" cellpadding="0">
		<tr>
			<th width="30%">Nickname</th>
			<th width="30%">Email Address</th>
			<th width="30%">Full Name</th>
		</tr>
		||begin_address||
			<tr>
				<td><a href="javascript:setto('||name||')">||html_text||name||</a></td>
				<td>||abk_email||</td>
				<td>||abk_full_name||</td>
			</tr>
		||end_address||
		</table>
	</td>
</tr>
</table>
</form>


</body>
</html>
